main, header, section, footer, aside, nav, article, figure /* varmistaa näiden toiminnan vanhemmissa selaimissa */
{
display: block;
} 

a:link { color: blue }
a:visited { color: black }
a:active { color: red }

body {
color: black;
background-color: #c0c0c0;
text-align:"center";
}

header {
font-size: 80%;
text-align:left;
margin: 0em;
padding-left: 0.2em;
padding-top: 0.4em;
padding-bottom: 0.4em;
background-color: #d8d8d8;
}

main {
display: table;
width:auto;
height:auto;
float:none;
text-align:left;
margin-left:auto;
margin-right:auto;
margin-bottom: 1em;
margin-top: 0px;
padding-top: 0px;
padding-bottom: 1em;
padding-left: 0px;
padding-right: 0px;
background-color:#ffffff;
border: 2px solid #008800;
}

h1 { text-align: center;
font-size: 164%;
margin-top: 0px;
margin-bottom: 0px;
padding-top: 10px;
padding-bottom: 10px;
color: #ffffff;
background-color: #008800;
}

h6 {
text-align: center;
font-size: 180%;
margin-top: 0.2em;
margin-bottom: 0.2em;
margin-left:auto;
margin-right:auto;
padding: 0.2em;
color: #000099;
}

h2 {
text-align: left;
font-size: 120%;
margin: 0.2em;
padding: 0em;
padding-left: 0.5em;
color: #000099;
border: 0px solid #000000;
}


h3 {
text-align: left;
font-size: 115%;
font-weight:bold;
margin: 0.5em;
padding-top: 0em;
padding-bottom: 0em;
padding-left: 0.4em;
color: #000066;
}

h4 {
text-align: left;
font-size: 100%;
margin-left: 0px;
margin-bottom: 4px;
margin-top: 8px;
color: #000000;
}

h5 {
text-align: left;
font-size: 100%;
font-weight:normal;
margin-left: 8px;
margin-bottom: 0.2em;
margin-top: 0.2em;
color: #000000;
}

figure {
display: inline;
float: left;
text-align:left;
vertical-align: text-center;
margin: 0em;
padding: 0px;
padding-right: 0.5em;
}

figure img {
display: inline;
float: none;
}

p {
text-align: left;
font-size: 100%;
margin-left: 0.5em;
margin-right: 0.5em;
margin-bottom: 0.8em;
margin-top: 0.4em;
color: #000000;
}

small {
text-align: left;
font-size: 80%;
margin: 0em;
color: #000000;
}

ol {
list-style-type: decimal;
list-style-position:inside;
padding: 0px;
margin: 0px;
margin-left: 1.5em;
 }

ol li{
list-style-type: decimal;
padding-left:8px;
 }

ul {
margin: 0px;
margin-top: 0.3em;
margin-bottom: 0.5em;
padding: 0px;
padding-left:8px;
list-style-position:inside;
 }

ul li{
list-style-type: disc;
list-style-position:inside;
margin-bottom: 0.2em;
margin-top: 0.2em;
margin: 0px;
padding: 0px;
 }

nav {
width:auto;
clear:none;
text-align:center;
margin-top: 1em;
margin-bottom: 1em;
margin-left:auto;
margin-right:auto;
}

nav a {
text-decoration:none;
background-color:#c0c0c0;
padding: 6px;
padding-left: 25px;
padding-right: 25px;
margin: 2px; 2px;
border: 1px solid #a0a0a0;
}

nav a:hover {
color: white;
background-color: green;
}

section {
width:auto;
min-width:600px;
max-width:1200px;
text-align:left;
margin-left:auto;
margin-right:auto;
margin-bottom: 4px;
margin-top: 4px;
padding-top: 0px;
padding-bottom:0.3em;
padding-left: 0px;
padding-right: 0px;
background-color:#f8f8f8;
border: 1px solid #909090;
}

article {
display: block;
width:auto;
min-width:600px;
max-width:1200px;
text-align:left;
margin-left:auto;
margin-right:auto;
margin-bottom: 4px;
margin-top: 4px;
background-color:#ffffff;
text-align:left;
padding: 8px;
border: 0px dotted #008800;
}

footer {
width:600px;
clear:both;
font-size: smaller;
text-align:center;
margin-top: 1em;
margin-bottom: 1em;
margin-left:auto;
margin-right:auto;
}

